rem
rem builder_custom_init.cmd
rem
if "%BUILDER_TOP_DIR%" == "" (
    echo Error: BUILDER_TOP_DIR is not set
    exit /b 1
)

rem figure out where we are
set PY_MAJ=2
if not "%1" == "" set PY_MAJ=%1

set PY_MIN=7
if not "%2" == "" set PY_MIN=%2

if not "%3" == "" set SVN_VER_MAJ_MIN=%3
if "%SVN_VER_MAJ_MIN%" == "" set /p SVN_VER_MAJ_MIN="Build against Subversion Version [maj.min]: "
if "%SVN_VER_MAJ_MIN%" == "" goto :eof

rem Save CWD
pushd .

set VC_VER=9.0

if exist ..\..\ReleaseEngineering\win32-vc-%VC_VER%\software-versions-%SVN_VER_MAJ_MIN%.cmd (
    echo Setting up compiler VC %VC_VER%
    pushd ..\..\ReleaseEngineering\win32-vc-%VC_VER%
    call software-versions-%SVN_VER_MAJ_MIN%.cmd off
    popd
) else (
    echo No compiler setup found
)

rem see if there is a built pysvn
if not "%TARGET%" == "" (
    echo Info: In release engineering build mode TARGET %TARGET%
    set PYSVN_PYTHONPATH=%TARGET%\py%PY_MAJ%%PY_MIN%_pysvn\Source
    set PYTHONPATH=%TARGET%\py%PY_MAJ%%PY_MIN%_pysvn\Source;%BUILDER_TOP_DIR%\Source
) else (
    echo Info: In development build mode
    set PYTHONPATH=%BUILDER_TOP_DIR%\Source
)
echo PYTHONPATH %PYTHONPATH%

set MEINC_INSTALLER_DIR=%BUILDER_TOP_DIR%\Import\MEINC_Installer-%MEINC_INSTALLER_VER%-py%PY_MAJ%%PY_MIN%-win32
set INCLUDE=%MEINC_INSTALLER_DIR%;%INCLUDE%

set PY=c:\python%PY_MAJ%%PY_MIN%.win32
if not exist %PY%\python.exe set PY=c:\python%PY_MAJ%%PY_MIN%

set PYTHON=%PY%\python.exe

rem Need python and SVN on the path
PATH %PY%;%SVN_BIN%;c:\UnxUtils;%PATH%

%PYTHON% -c "import sys;print 'Info: Python Version',sys.version"
%PYTHON% -c "import pysvn;print 'Info: pysvn Version',pysvn.version,'svn version',pysvn.svn_version"
popd
